#if UNITY_5_3_OR_NEWER
#define NOESIS
using Noesis;
#else
using System;
using System.Windows.Controls;
#endif

namespace BindingMemoryLeak
{
    /// <summary>
    /// Interaction logic for BindingMemoryLeakMainView.xaml
    /// </summary>
    public partial class BindingMemoryLeakMainView : UserControl
    {
        public BindingMemoryLeakMainView()
        {
            Initialized += OnInitialized;
            InitializeComponent();
        }

        private void OnInitialized(object sender, EventArgs e)
        {
            DataContext = new ViewModel();
        }

#if NOESIS
        private void InitializeComponent()
        {
            NoesisUnity.LoadComponent(this);
        }
#endif
    }
}
